package com.ruoyi.project.task.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.task.mapper.TTaskInspectionPlanMapper;
import com.ruoyi.project.task.domain.TTaskInspectionPlan;
import com.ruoyi.project.task.service.ITTaskInspectionPlanService;

/**
 * 检测计划Service业务层处理
 *
 * @author ruoyi
 * @date 2022-11-17
 */
@Service
public class TTaskInspectionPlanServiceImpl extends ServiceImpl<TTaskInspectionPlanMapper,TTaskInspectionPlan> implements ITTaskInspectionPlanService
{
    @Autowired
    private TTaskInspectionPlanMapper tTaskInspectionPlanMapper;

    /**
     * 查询检测计划
     *
     * @param id 检测计划主键
     * @return 检测计划
     */
    @Override
    public TTaskInspectionPlan selectTTaskInspectionPlanById(Long id)
    {
        return tTaskInspectionPlanMapper.selectTTaskInspectionPlanById(id);
    }

    /**
     * 查询检测计划列表
     *
     * @param tTaskInspectionPlan 检测计划
     * @return 检测计划
     */
    @Override
    public List<TTaskInspectionPlan> selectTTaskInspectionPlanList(TTaskInspectionPlan tTaskInspectionPlan)
    {
        return tTaskInspectionPlanMapper.selectTTaskInspectionPlanList(tTaskInspectionPlan);
    }

    @Override
    public List<TTaskInspectionPlan> selectAllPlan()
    {
        return tTaskInspectionPlanMapper.selectAllPlan();
    }

    /**
     * 新增检测计划
     *
     * @param tTaskInspectionPlan 检测计划
     * @return 结果
     */
    @Override
    public int insertTTaskInspectionPlan(TTaskInspectionPlan tTaskInspectionPlan)
    {
        return tTaskInspectionPlanMapper.insertTTaskInspectionPlan(tTaskInspectionPlan);
    }
    @Override
    public int insertTTaskInspectionPlanByList(List<TTaskInspectionPlan> tTaskInspectionPlans)
    {
        return tTaskInspectionPlanMapper.insertTTaskInspectionPlanByList(tTaskInspectionPlans);
    }

    /**
     * 修改检测计划
     *
     * @param tTaskInspectionPlan 检测计划
     * @return 结果
     */
    @Override
    public int updateTTaskInspectionPlan(TTaskInspectionPlan tTaskInspectionPlan)
    {
        return tTaskInspectionPlanMapper.updateTTaskInspectionPlan(tTaskInspectionPlan);
    }

    /**
     * 批量删除检测计划
     *
     * @param ids 需要删除的检测计划主键
     * @return 结果
     */
    @Override
    public int deleteTTaskInspectionPlanByIds(Long[] ids)
    {
        return tTaskInspectionPlanMapper.deleteTTaskInspectionPlanByIds(ids);
    }

    /**
     * 删除检测计划信息
     *
     * @param id 检测计划主键
     * @return 结果
     */
    @Override
    public int deleteTTaskInspectionPlanById(Long id)
    {
        return tTaskInspectionPlanMapper.deleteTTaskInspectionPlanById(id);
    }
}
